Subject: Re: [PATCH 0/3] Wildcard matching for credentials

From: Taylor Blau <[email-masked]>
Date: Fri, 14 Feb 2020 15:58:22 -0800

Hi brian,

On Fri, Feb 14, 2020 at 10:59:26PM +0000, brian m. carlson wrote:
> This series introduces wildcard matching (that is, urlmatch support) for
> credential config options, just like for the http options.  This is
> helpful in corporate environments where custom credentials should be
> used across a wide variety of subdomains.
>
> In addition, there's an additional test for urlmatch behavior with
> multiple subdomains and a mailmap update for the email address used in
> this series.

I can imagine that this is perhaps for Git LFS, which I could see
benefiting from this change. My review has nothing to do with my
affiliation (or lack thereof) to LFS.

I gave your patches a review, and they all look quite good to me. Thanks
especially for 2/3, which I would have suggested were it not already
there ;-).

This looks good to me, so please have my:

  Reviewed-by: Taylor Blau <[email-masked]>

> brian m. carlson (3):
>   mailmap: add an additional email address for brian m. carlson
>   t1300: add test for urlmatch with multiple wildcards
>   credential: allow wildcard patterns when matching config
>
>  .mailmap                         |  1 +
>  Documentation/gitcredentials.txt |  4 +++-
>  credential.c                     | 41 +++++++++++++++++---------------
>  t/t0300-credentials.sh           | 20 ++++++++++++++++
>  t/t1300-config.sh                |  6 +++++
>  5 files changed, 52 insertions(+), 20 deletions(-)

Thanks,
Taylor